1.2
1.2
get /v1/cloud-functions/{cloud_function_id}/configurations
Description
show a specific cloud-function configuration
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cloud_function_id required | Cloud Functions ID Example : 8c9f6c1c928a45b4bbd1e4da5531d656 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ConfigurationV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cloud-functions/{cloud_function_id}/configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"
Example HTTP response
Response 200
{
"config": {
"max_scale": "5",
"memory": "256",
"min_scale": "1",
"timeout": "100"
},
"privatelink_endpoints": [],
"privatelink_service": {
"private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
"privatelink_service_enabled": true,
"privatelink_service_id": "ba30549f550141ef9af6546543s",
"privatelink_service_name": "PRIVATELINKSERVICE",
"requested_endpoints": []
},
"url": {
"allow_ips": [
""
],
"auth_type": "NONE",
"public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
"public_ip_acl_enabled": true,
"url_enabled": true
},
"variables": [
{
"key": "sample",
"value": "sample"
}
]
}